%global namedreltag .Beta32
%global namedversion %{version}%{?namedreltag}

Name:             jboss-metadata
Version:          7.0.0
Release:          0.1%{namedreltag}%{?dist}
Summary:          JBoss Metadata
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jboss/metadata

# git clone git://github.com/jboss/metadata.git
# cd metadata/ && git archive --format=tar --prefix=jboss-metadata-7.0.0.Beta32/ c754206a9b4c63c1fbb9c5554adc0ae7d519fada | xz > jboss-metadata-7.0.0.Beta32.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    geronimo-jpa
BuildRequires:    geronimo-ejb
BuildRequires:    jboss-ejb3-ext-api
BuildRequires:    jboss-interceptors-1.1-api

Requires:         jboss-interceptors-1.1-api
Requires:         jpackage-utils
Requires:         java
Requires:         jboss-logging
Requires:         geronimo-jpa
Requires:         geronimo-ejb
Requires:         jboss-ejb3-ext-api >= 2.0.0-0.1.beta2

%description
This package contains JBoss Metadata for JBoss AS 7

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
# We don't have packaged all test dependencies (jboss-test for example)
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for m in common ejb web ear appclient; do
  install -pm 644 ${m}/target/%{name}-${m}-%{namedversion}-SNAPSHOT.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}-${m}.jar
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-${m}.pom
  %add_maven_depmap JPP.jboss-%{name}-${m}.pom jboss/%{name}-${m}.jar
done


install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Wed Dec 14 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.0-0.1.Beta32
- Initial packaging

